[Numpy-discussion] Numpy 1.4.1 fails to build on (Debian) alpha and powepc

Sandro Tosi morph@debian....
Sun Jul 18 05:53:49 CDT 2010


Hello,
I finally found the time to update numpy in Debian. But, there is a problem...

As you probably know, we support several architectures and we need to
have any package available on each of them. After the upload I noticed
numpy has problem building on alpha [1] (ieee754.c compilation error,
probably related to the conversion from .src) and powerpc [2]
(long_double identification)

[1] https://buildd.debian.org/fetch.cgi?pkg=python-numpy&arch=alpha&ver=1%3A1.4.1-2&stamp=1279394977&file=log&as=raw
[2] https://buildd.debian.org/fetch.cgi?pkg=python-numpy&arch=powerpc&ver=1%3A1.4.1-2&stamp=1279394008&file=log&as=raw

They are quite specific pieces of code, so I'm here asking your help
in order to be able to build numpy on all Debian supported
architectures and so be released in the upcoming stable release :)

Of course, feel free to ask me any kind of support, also if you need
to test/execute something on those archs, just tell me and I'll do.

Regards,
-- 
Sandro Tosi (aka morph, morpheus, matrixhasu)
My website: http://matrixhasu.altervista.org/
Me at Debian: http://wiki.debian.org/SandroTosi


More information about the NumPy-Discussion mailing list